Download it now!
Bug 99002 - FILEOPEN DOCX Text frame does not have left padding
Summary: FILEOPEN DOCX Text frame does not have left padding
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2016-03-31 12:22 UTC by jackolantern
Modified: 2018-11-24 15:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Word 2016 document to use for pdf conversion text box bug (382.00 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-03-31 12:22 UTC, jackolantern
Details
Word 2016 docx file (379.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-05-09 07:04 UTC, jackolantern
Details
Pdf file generated by LibreOffice (372.02 KB, application/pdf)
2016-05-09 07:05 UTC, jackolantern
Details
Screenshot of word 2016 file opened in LibreOffice. See how the text is positioned. (220.53 KB, image/jpeg)
2016-05-09 07:06 UTC, jackolantern
Details
Word 2016 file opened in word 2016. See how the text is positioned. This is how I want it to be positioned. (255.02 KB, image/jpeg)
2016-05-09 07:08 UTC, jackolantern
Details
Word 2016 file that has been converted to PDF by LibreOffice (168.30 KB, image/jpeg)
2016-05-09 07:09 UTC, jackolantern
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jackolantern 2016-03-31 12:22:00 UTC
Created attachment 123988 [details]
Word 2016 document to use for pdf conversion text box bug

I have Word 2016 document that contains a text box with some text. After conversion to pdf with the command line the text inside the textbox is not outlined correctly.
I have attached the Word 2016 document so you can reproduce the bug in the pdf conversion.
Comment 1 jackolantern 2016-04-12 07:01:10 UTC
There is no difference between opening the file in Writer and converting it to PDF. The outlining in the text box is already wrong in Writer.
Comment 2 Buovjaga 2016-04-14 12:30:53 UTC
I am looking at the file in Word 2013 and LibreOffice and I don't understand what you mean.
Please attach PDF files from Word 2016 and LibreOffice.
Comment 3 jackolantern 2016-05-09 07:04:57 UTC
Created attachment 124922 [details]
Word 2016 docx file
Comment 4 jackolantern 2016-05-09 07:05:48 UTC
Created attachment 124923 [details]
Pdf file generated by LibreOffice
Comment 5 jackolantern 2016-05-09 07:06:35 UTC
Created attachment 124924 [details]
Screenshot of word 2016 file opened in LibreOffice. See how the text is positioned.
Comment 6 jackolantern 2016-05-09 07:08:45 UTC
Created attachment 124925 [details]
Word 2016 file opened in word 2016. See how the text is positioned. This is how I want it to be positioned.
Comment 7 jackolantern 2016-05-09 07:09:25 UTC
Created attachment 124926 [details]
Word 2016 file that has been converted to PDF by LibreOffice
Comment 8 jackolantern 2016-05-09 07:12:48 UTC
Hello Buovjaga

I made some screen shots so you can see what I mean. I also added the Word 2016 docx file and the pdf generated by LibreOffice. If you have more questions let me know.
Comment 9 Buovjaga 2016-05-09 10:58:40 UTC
Ok, the text in the frame should be left-padded a bit. In LibO, it is right next to the left border of the frame.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha1+
Build ID: 3d27afd26f7b85c46a7c7d08498000b9dbcea1c8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-09_02:42:15
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2017-05-22 13:39:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522